public class CoffeeKlatsch {

    public static void main(String[] args) {

	// Declare a reference to a CoffeeMachine.
    CoffeeMachine Bob;
	// Create a new CoffeeMachine and make the variable refer to it.
    Bob = new CoffeeMachine();
	// Add water and beans to the CoffeeMachine.
    Bob.addWater();
    Bob.addBeans();
	// Get ready to grind some strong coffee in the CoffeeMachine.
	Bob.setStrength("Really Really Really Hot!");
	// Grind the beans.
    Bob.grindBeans();
	// Declare a reference to a CoffeeCup.
	CoffeeCup Bill;
	// Create a new CoffeeCup and make the variable refer to it.
    Bill = new CoffeeCup();
	// Have your CoffeeMachine brew coffee into the coffee cup.
	Bob.brew(Bill);
	// Drink from the cup.
    Bill.drink();
	// Try to drink again --the cup is now empty.
    Bill.drink();
	// Declare ANOTHER coffee cup reference and initialize it.
	CoffeeCup KillBill = new CoffeeCup();
	// Brew coffee into the new cup.
    Bob.brew(KillBill);
	// Try to drink from the first cup --it's still empty!
	Bill.drink();
	// Drink from the second cup.
    KillBill.drink();
	// Print a sigh of satisfaction.
	System.out.println("Ahhhh. That was some bad coffee. Time to drink tea!");
    }
}
